- Home
- API Enriched
- Virtual
- data
- Enhanced Firewall Policy Hits.
Enhanced Firewall Policy Hits.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/enhanced_firewall_policy/hits';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","group_by":["NAMESPACE"],"label_filter":[{"label":"NAMESPACE","op":"EQ","value":"example"}],"namespace":"example","start_time":"example","step":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/enhanced_firewall_policy/hits \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "group_by": [ "NAMESPACE" ], "label_filter": [ { "label": "NAMESPACE", "op": "EQ", "value": "example" } ], "namespace": "example", "start_time": "example", "step": "example" }'GET the counter for Enhanced Firewall Policy hits for a given namespace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace is used to scope Enhanced Firewall Policy hits for the given namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET the Enhanced Firewall Policy hits counter.
object
End time of metric collection from which data will be considered. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
Aggregate data by one of more labels specified in group_by.
Optional: If not specified, then the rule hits are aggregated/grouped by POLICY.
List of label filter expressions of the form “label” Op “value”. Response will only contain data that matches all the conditions specified in the label_filter.
Optional: If not specified, then the metrics will be filtered only based on the namespace in the request.
Label filter can be specified to filter metrics based on label match.
object
Value to be compared with.
Namespace is used to scope Enhanced Firewall Policy hits for the given namespace.
Start time of metric collection from which data will be considered. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days
Optional: If not specified, then step size is evaluated to <end_time - start_time>
Responses
Section titled “Responses”A successful response.
Number of Enhanced Firewall Policy rule hits for each unique combination of group_by labels in the request.
object
List of Enhanced Firewall Policy hits data.
EnhancedFirewallPolicyHits contains the timeseries data of Enhanced Firewall Policy hits.
object
object
Action associated with the policy rule.
Namespace in which the policy rule was hit.
Policy name.
Policy Rule name.
Site name
X-unit: “count” List of metric values.
Metric data contains timestamp and the value.
object
Timestamp
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Configuration parameter for value
Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.
Example
{ "data": [ { "metric": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example